### Method

# Gtk TextBufferdelete_selection

#### Declaration [src]

    gboolean
    gtk_text_buffer_delete_selection (
      GtkTextBuffer* buffer,
      gboolean interactive,
      gboolean default_editable
    )

#### Description [src]

Deletes the range between the “insert” and “selection_bound” marks, that is, the currently-selected text.

If `interactive` is `TRUE`, the editability of the selection will be considered (users can’t delete uneditable text).

#### Parameters

`interactive`

  Type: `gboolean`

  Whether the deletion is caused by user interaction.

`default_editable`

  Type: `gboolean`

  Whether the buffer is editable by default.

#### Return value

Type: `gboolean`

Whether there was a non-empty selection to delete.